/*
 * Copyright (c) 2015 N. Billard.
 */
package com.massa.mrules.demos.spring.ann;

import java.io.IOException;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.massa.mrules.exception.MConfigurationException;
import com.massa.mrules.exception.MExecutionException;
import com.massa.mrules.set.IMRuleExecutionSet;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(
		classes={SpringAnnConfig.class})
public class SpringAnnTest {

	@Autowired
	@Qualifier("annRuleEngine")
	protected IMRuleExecutionSet annRuleEngine;
	
	@Autowired
	@Qualifier("factRuleEngine")
	protected IMRuleExecutionSet factRuleEngine;

	public SpringAnnTest() {
	}

	@Test
	public void springAnnDemo() throws MConfigurationException, MExecutionException, IOException {
		this.annRuleEngine.getContextFactory().getExecutionContext().execute();
		this.factRuleEngine.getContextFactory().getExecutionContext().execute();
	}
}
